MonetaryLimit (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.isismtt.x509

## Class MonetaryLimit

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.isismtt.x509.MonetaryLimit

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class MonetaryLimit
      extends ASN1Object

  Monetary limit for transactions. The QcEuMonetaryLimit QC statement MUST be used in new certificates in place of the extension/attribute MonetaryLimit since January 1, 2004. For the sake of backward compatibility with certificates already in use, components SHOULD support MonetaryLimit (as well as QcEuLimitValue).

  Indicates a monetary limit within which the certificate holder is authorized to act. (This value DOES NOT express a limit on the liability of the certification authority).

          MonetaryLimitSyntax ::= SEQUENCE
          {
            currency PrintableString (SIZE(3)),
            amount INTEGER,
            exponent INTEGER
          }

  currency must be the ISO code.

  value = amount�10*exponent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonetaryLimit(java.lang.String currency, int amount, int exponent)` Constructor from a given details.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getAmount()`
    `java.lang.String` | `getCurrency()`
    `java.math.BigInteger` | `getExponent()`
    `static MonetaryLimit` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonetaryLimit

          public MonetaryLimit(java.lang.String currency,
                               int amount,
                               int exponent)

      Constructor from a given details.

      value = amount�10^exponent

      Parameters:
        `currency` - The currency. Must be the ISO code.
        `amount` - The amount
        `exponent` - The exponent

  - ### Method Detail

    - #### getInstance

          public static MonetaryLimit getInstance(java.lang.Object obj)

    - #### getCurrency

          public java.lang.String getCurrency()

    - #### getAmount

          public java.math.BigInteger getAmount()

    - #### getExponent

          public java.math.BigInteger getExponent()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

      Returns:

              MonetaryLimitSyntax ::= SEQUENCE
              {
                currency PrintableString (SIZE(3)),
                amount INTEGER,
                exponent INTEGER
              }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a DERObject